var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { render } from '@testing-library/react';
import * as helpers from '../../helpers';
import { HistoryLink } from './HistoryLink';
describe('HistoryLink tests', function () {
    var defaultProps = {
        x: 10,
        y: 15,
        toX: 20,
        toY: 50,
        color: '#FFFAAA',
        isDashed: false
    };
    var getHistoryLinkCurveSpy = jest.spyOn(helpers, 'getHistoryLinkCurve');
    beforeAll(function () {
        jest.clearAllMocks();
    });
    var setUp = function (props) {
        if (props === void 0) { props = defaultProps; }
        return render(React.createElement(HistoryLink, __assign({}, props)));
    };
    it('should render correctly', function () {
        var container = setUp().container;
        expect(getHistoryLinkCurveSpy).toHaveBeenCalledWith(defaultProps.x, defaultProps.y, defaultProps.toX, defaultProps.toY);
        var path = container.querySelector('path');
        expect(path).toHaveAttribute('d', getHistoryLinkCurveSpy.mock.results[0].value);
        expect(path).toHaveAttribute('stroke', defaultProps.color);
        expect(path).toHaveAttribute('fill', 'none');
        expect(path).toHaveAttribute('stroke-width', '2');
        expect(path).not.toHaveAttribute('stroke-dasharray');
    });
    it('should render dashed path if isDashed === true', function () {
        var container = setUp(__assign(__assign({}, defaultProps), { isDashed: true })).container;
        expect(getHistoryLinkCurveSpy).toHaveBeenCalledWith(defaultProps.x, defaultProps.y, defaultProps.toX, defaultProps.toY);
        expect(container.querySelector('path')).toHaveAttribute('stroke-dasharray', '3,3');
    });
});
